Package javax.mail.search

# Class FromTerm

java.lang.Object
javax.mail.search.SearchTerm
javax.mail.search.AddressTerm
javax.mail.search.FromTerm

All Implemented Interfaces:
  `Serializable`

public final class FromTerm extends AddressTerm
This class implements comparisons for the From Address header.

Author:
  Bill Shannon, John Mani
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.mail.search.AddressTerm

`address`

## Constructor Summary

Constructors
Constructor
Description
`FromTerm(Address address)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality comparison.
`boolean`
`match(Message msg)`
The address comparator.

### Methods inherited from class javax.mail.search.AddressTerm

`getAddress, hashCode, match`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FromTerm

public FromTerm(Address address)
Constructor

Parameters:
  `address` - The Address to be compared

## Method Details

### match

public boolean match(Message msg)
The address comparator.

Specified by:
  `match` in class `SearchTerm`
Parameters:
  `msg` - The address comparison is applied to this Message
Returns:
  true if the comparison succeeds, otherwise false

### equals

public boolean equals(Object obj)
Equality comparison.

Overrides:
  `equals` in class `AddressTerm`